
Advertising - Bug #2255

Error 500 when upload image avatar lager 250x800

11 Oct 2013 05:34 - Minh Thien

Status: Closed Start date: 11 Oct 2013

Priority: Major Due date: 11 Jun 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version:  External issue:  

Description

When I am create a new Advertising and Upload a image avatar.

If size of the image larger 250x800, redmine throw a error, please see attach file.

Thanks.

Associated revisions

Revision 31 - 11 Jun 2014 23:38 - Andriy Lesyuk

Fixed alignment in table, fixed model errors (#2255)

History

#1 - 21 Dec 2013 15:43 - Minh Thien

Edit file : /plugins/reklama/app/controllers/advertisements_controller.rb

                images = Magick::Image.read(file.path)

                if images

                    if images.first.columns > 3250 || images.first.rows > 3800

                        #@advertisement.errors.add(:image, :invalid_size)

                        return false

                    end

                end

 

This error fixed.

#2 - 11 Jun 2014 00:17 - Andriy Lesyuk

- Status changed from New to Open

- Priority changed from Critical to Major

- Target version changed from 0.3.0 to 0.2.1

#3 - 11 Jun 2014 23:38 - Andriy Lesyuk

- Due date set to 11 Jun 2014

27 Apr 2024 1/2



- Status changed from Open to Closed

- % Done changed from 0 to 100

Files

error.txt 10.1 KB 11 Oct 2013 Minh Thien
